Subject: Re: Compiling apps to Mingw32 with cygwin
From: "Robert Collins" <[email-masked]>
To: "Earnie Boyd" <[email-masked]>, "Jon Leichter" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Sun, 13 Jan 2002 10:27:31 +1100

----- Original Message -----
From: "Earnie Boyd" <[email-masked]>
> 1) `gcc -mno-cygwin' is not a cross compile.
> 2) it is possible to emulate a cross build system using a scripted
`gcc
> -mno-cygwin' and symlinks.
> 3) `gcc -mno-cygwin' switches the build environment from Cygwin to
> MinGW.

Earnie, on 3) I believe we have a terminology problem. gcc -mno-cygwin
changes the _build target_ to mingw32, no the build _environment_.

In the context of configure scripts the build _environment_ is the
platform hosting the running script, and doing the compilation - that is
cygwin.

> > You said this was wrong. To be consisent with future behavior, it
seems that
> > I must specify build. So if you're suggesting that I'm not
cross-compiling,
> > then it would be:
> >
> >         $ env CC=mgcc
./configure --host=i686-pc-mingw32 --build=i686-pc-mingw32
> >
>
> This is what I would do.

IMO this is wrong (wrong build value) - see my comment earlier.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/